server:
  port: 18083
  tongweb:
    license:
      path: /data/zlmy/tongweb-licese/license.dat

## DataSource
spring:
  servlet:
    multipart:
      max-file-size: 200MB
      max-request-size: 200MB
  #rabbitmq 配置，为了不将生产环境的信息搞乱，将端口号由原来的5672修改为15673
  rabbitmq:
    host: 43.132.165.103
    port: 5672
    username: weather
    password: cofco321
    # RabbitMQ 服务创建的虚拟主机(非必须)
    #这个配置是保证提供者确保消息推送到交换机中，不管成不成功，都会回调
    publisher-confirm-type: correlated
    #保证交换机能把消息推送到队列中
    publisher-returns: true
    virtual-host: /
    #这个配置是保证消费者会消费消息，手动确认
    listener:
      simple:
        acknowledge-mode: manual

  config:
    import: application-db-kingbase.yml

  freemarker:
    cache: false  #关闭模板缓存，方便测试
    settings:
      template_update_delay: 0 #检查模板更新延迟时间，设置为0表示立即检查，如果时间大于0会有缓存不方便进行模板测试
    suffix: .ftl               #指定Freemarker模板文件的后缀名
    template-loader-path: classpath:/ureport
  redis:
    host: 10.25.49.42
    port: 6379
    password: ZLmy@Redis#$%
    database: 0
## Log Path
logging:
  file:
    path: logs/

## File path
file:
  path: /data/zlmy/data/file/
dataview:
  file: /data/zlmy/data/dataview-file/
tiny:
  file:
    path: /data/zlmy/data/tinyFile/
    url: /tinyFile/

## Swagger
swagger:
  enable: false
  title: TFW API查看器
  description: Tong Framework Back-End
  version: 1.0
  contact:
    name: Ivan@tongtech
    url: a.b.c.d
    mail: a@b.c.d

minio:
  accessKey: admin
  secretKey: ZLmy@Minio
  bucket: zlmy
  endpoint: http://10.25.49.42:9000
  access-Key: admin
  access-secret: ZLmy@Minio
  path: http://10.25.48.244/minio
  imgInport: http://10.25.49.42:9000

## 网关地址
apisix:
  minioroute:
    url: http://10.25.48.244/minio


flowable:
  async-executor-activate: false
  database-schema-update: false
  use-lock-for-database-schema-update: false
  app:
    database


xxl:
  job:
    accessToken: default_token
    admin:
      addresses: http://10.25.49.42:8012/xxl-job-admin
    executor:
      address: ''
      appname: test-zlmy-boot
      ip: ''
      logpath: /data/xxl-job/jobhandler
      logretentiondays: 30
      port: 9998


## 报表下载
ureport:
  path: http://10.25.48.244:18083

#第三方监控视频接入地址
three:
  video:
    #url: http://10.28.161.85:8080
    url: http://10.28.161.84:12800
  videoinfo:
    url: http://123.125.253.26:6006
    username: anhuan
    password: EherW6HNOx

# 中粮 OA地址
zlsystem:
  url: http://10.19.18.73:80

## 教育培训扫码考试
train:
  path: http://10.25.48.244:80

#图安对接地址
tuan:
  path: https://mywxzy.cofco.com:17703/api



## 全局报警
global:
  alarem:
    url:  http://123.125.253.26:6006
    username: anhuan
    password: EherW6HNOx

iam:
  iamUrl: https://mobile.cofco.com:8002
  # App的唯一标识
  appId: a5fb198c-7036-44e0-8617-7c3dc0e872fb
  # App调用OpenApi或SDK时需要的Secret
  appSecret: 8aef7878-fca1-45e6-a6de-8b5d0b7dbca2
  appList:
    - type: pc
      clientid: NDUzNGNlYWUxZGRjNDNiMWI0OTY1MzdmMWM5NjY4YWY
      clientsecret: RavGUzcrjbeR3i0aZ76lePFxyeQdASBU
      redirecturl: http://10.25.48.244
      publickey: '{"kty":"RSA","kid":"ACC5E6F9E4214665BC870510B8C9494E","use":"sig","alg":"RS256","n":"zler9hEepIDyDAjL8CXLxqy10TOU-TtNBe8v-vmktwI6IW_-SpEznzr_nYwe4m1usTDIGWBSCx_kaabpsuBub7I71a-UTAuMTFgpiBzquJG2O93YdpasR8m4ivOBttcZr0Bwd3L1OvYGAZsNqnZuB0naQAjLqwhRAOFx9t_VQdwfZ8yWckiSH1hN8UUwiojlVRmdCQbVYTegDfSd3UfQ0VopN5SY1RLIpuSxTEyDggBu1RBTgx5s5fKEEt6OuLzy60HoclqIth2Ofj82YRiQtcgnkh9NB8pz-DS05Spktor4lLtNviBVRv4F4FsalCmZrGGcbe8tGl5ThBqPGY1jtQ","e":"AQAB"}'
    - type: h5
      clientid: MTgxYmZiNmFkMmQ3NGE0YjhjOWE0MDg2MGM2YmVjMjM
      clientsecret: K9uC7W0WyFmC0SFCIpC0O9Owagw1+OoU
      redirecturl: http://10.25.48.244/h5
      publickey: '{"kty":"RSA","kid":"B7149F1202D24FD7B603D65E25070DB6","use":"sig","alg":"RS256","n":"gLGJQ-pvqolYmHPjedAxA340o5bJfNUDyrDm1oWh2wWLkXIzUpTYkNP-KrnLVxjnKrrfy_3HTQ3dxguAsmWeVMGLs9IS0docdXsr82fBWIMOVjECxHKlVQXoLkFowkgnuHGYXjxWw7jQLb4pVTWYlY-bcWUCsTKnoiqnifYZV30U8GGpuUbc7VXY1SFvJXDEsQjp4q3FTXZRJ3vCp9lHzx9-oxDYyZ5h2tYMpVSmymd5BrmJB_DgME_YHjIaPF6GmL7If8UN4GrNZCZfz2TlUnXejSnaPeK862xfrIWcJNmbb73pDTHe6yXv0uff5ASgaQCXLeV4pJmhSjzlAtvXaw","e":"AQAB"}'



#租赁库管理附件接口
hire:
  depository:
    baseUrl: https://ctbms.cofco.com:9443
    queryFileList: ${hire.depository.baseUrl}/services/cup-file-service/api/file/queryFileList?systemTag=zlkIn&interactionId=cofco-supplier-system
    downloadFile:  ${hire.depository.baseUrl}/services/cup-file-service/api/file/downloadFile?systemTag=zlkIn&interactionId=cofco-supplier-system
    realDownloadUrl: http://10.25.48.244/api/hireDepositoryManageBase/zlFileLoad?systemTag=zlkIn